## ICalAttach

ICalAttach

## Functions

ICalAttach * | i_cal_attach_new_from_url ()
ICalAttach * | i_cal_attach_new_from_data ()
ICalAttach * | i_cal_attach_new_from_bytes ()
void | i_cal_attach_ref ()
void | i_cal_attach_unref ()
gboolean | i_cal_attach_get_is_url ()
const gchar * | i_cal_attach_get_url ()
const gchar * | i_cal_attach_get_data ()

## Types and Values

| ICalAttach
struct | ICalAttachClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalAttach

## Description

## Functions

### i_cal_attach_new_from_url ()

    ICalAttach *
    i_cal_attach_new_from_url (const gchar *url);

Creates a new ICalAttach from the url.

#### Parameters

url | The url from which the object is created |

#### Returns

The newly created ICalAttach from the `url` .

[transfer full]

Since: 1.0

### i_cal_attach_new_from_data ()

    ICalAttach *
    i_cal_attach_new_from_data (const gchar *data,
                                GFunc free_fn,
                                void *free_fn_data);

Creates a new ICalAttach from the data.

#### Parameters

data | The data used to create the ICalAttach |
free_fn | The function used to free the data when the create ICalAttach is destroyed. | [scope call][nullable]
free_fn_data | The userdata used for the free function `free_fn` . | [nullable]

#### Returns

The newly created ICalAttach.

[transfer full]

Since: 1.0

### i_cal_attach_new_from_bytes ()

    ICalAttach *
    i_cal_attach_new_from_bytes (GBytes *bytes);

Creates a new ICalAttach from the data in bytes. Takes a reference of `bytes` , increase the reference before calling this function if you with to use it afterward. The stored bytes should be already encoded with used encoding (like base64).

#### Parameters

bytes | The GBytes holding the data used to create the ICalAttach. | [transfer full]

#### Returns

The newly created ICalAttach.

[transfer full]

Since: 1.0

### i_cal_attach_ref ()

    void
    i_cal_attach_ref (ICalAttach *attach);

Increases the reference counter by 1 for the `attach` .

[skip]

#### Parameters

attach | The ICalAttach to be referenced by once |

Since: 1.0

### i_cal_attach_unref ()

    void
    i_cal_attach_unref (ICalAttach *attach);

Decreases the reference counter by 1 for the `attach` .

[skip]

#### Parameters

attach | The ICalAttach to be unreferenced by once |

Since: 1.0

### i_cal_attach_get_is_url ()

    gboolean
    i_cal_attach_get_is_url (ICalAttach *attach);

Checks whether the ICalAttach is built from url.

#### Parameters

attach | The ICalAttach to be queried |

#### Returns

Whether the `attach` is built from url

Since: 1.0

### i_cal_attach_get_url ()

    const gchar *
    i_cal_attach_get_url (ICalAttach *attach);

Gets the url, if the ICalAttach is built from the url.

#### Parameters

attach | The ICalAttach to be queried |

#### Returns

The url component of the `attach` . `NULL` if it is built from data or there is an error.

[nullable][transfer none]

Since: 1.0

### i_cal_attach_get_data ()

    const gchar *
    i_cal_attach_get_data (ICalAttach *attach);

Gets the data, if the ICalAttach is built from the data.

#### Parameters

attach | The ICalAttach to be queried |

#### Returns

The data component of the `attach` . `NULL` if it is built from url or there is an error.

[nullable][transfer none]

Since: 1.0

## Types and Values

### ICalAttach

    typedef struct _ICalAttach ICalAttach;

This is the ICalAttach instance.

### struct ICalAttachClass

    struct ICalAttachClass {
    };

This is the ICalAttach class.